firefox-0.9, javascript et plugin

Le
Ribiere Jean
J'ai installé sous Linux les version mozilla-1.7 et firefox-0.9
en version anglaise de base.

Pas de problème particulier avec Mozilla.

Par contre dès le lancement de firefox, avant même de consulter
un site quelconque, la console javascript a des messages d'erreurs
comme :
uncaught exception: [Exception "Component returned failure
code 0x804b000a [nslPrefBranch.getComplexValue"
nsresult "0x804b000a (<unknown)" location "JS Frame ::
chrome://browser/content/search.xml::getDefaultEngine:: line 70"
data:no]

Cela n'empêche pas de consulter des sites courants.

Par contre j'ai voulu, pour valider les plugins, consulter
http://www.tv5.org, informations et voir la video.
Alors j'ai un message me disant qu'il faut installer un plugin
audio/x-pn-realaudio-plugin
Cependant si je fait about:plugins, ce plugin est bien installé
et activé (ce même plugin focntionne avec mozilla-1.7)

Quelqu'un a-t'il rencontré ce problème et trouvé un solution ?
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Frederic Bezies
Le #11076511
Le 06/20/2004 04:15 PM, Ribiere Jean a écrit :

J'ai installé sous Linux les version mozilla-1.7 et firefox-0.9
en version anglaise de base.

Pas de problème particulier avec Mozilla.

Par contre dès le lancement de firefox, avant même de consulter
un site quelconque, la console javascript a des messages d'erreurs
comme :
uncaught exception: [Exception "Component returned failure
code 0x804b000a [nslPrefBranch.getComplexValue"
nsresult "0x804b000a (<unknown)" location "JS Frame ::
chrome://browser/content/search.xml::getDefaultEngine:: line 70"
data:no]



Pas de problème avec un firefox compilé maison de ce matin ;p

Aurais-tu installé une extension quelconque ?


Cela n'empêche pas de consulter des sites courants.

Par contre j'ai voulu, pour valider les plugins, consulter
http://www.tv5.org, informations et voir la video.
Alors j'ai un message me disant qu'il faut installer un plugin
audio/x-pn-realaudio-plugin
Cependant si je fait about:plugins, ce plugin est bien installé
et activé (ce même plugin focntionne avec mozilla-1.7)



Aucun problème pour moi avec ce site.

Voici ce que donne mon "about:plugins" :

RealPlayer(tm) 8.0 Plug-In

File name: rpnp.so
RealPlayer(tm) 8.0 LiveConnect-Enabled Plug-In

MIME Type Description Suffixes Enabled
audio/x-pn-realaudio-plugin RealPlayer Plugin Metafile rpm Yes

Et j'ai dans le répertoire plugins de mon firefox :

$ ls -al

drwxrwxr-x 2 fred fred 4096 jun 20 16:37 .
drwxrwxr-x 12 fred fred 4096 jun 20 08:44 ..
-rw-r--r-- 1 fred fred 856 mai 20 23:34 flashplayer.xpt
-rwxr-xr-x 1 fred fred 2096844 mai 20 23:34 libflashplayer.so
lrwxrwxrwx 1 root root 67 jun 17 23:46 libjavaplugin_oji.so ->
/usr/java/j2re1.4.2_04/plugin/i386/ns610-gcc32/libjavaplugin_oji.so
-rwxrwxr-x 1 fred fred 17272 jun 20 08:34 libnullplugin.so
-rw-rw-r-- 1 fred fred 0 jun 20 16:37 plugin.log
-rwxr-xr-x 1 root root 138640 mai 23 17:31 rpnp.so



Quelqu'un a-t'il rencontré ce problème et trouvé un solution ?




As-tu le fichier rpnp.so de copié dans ton répertoire plugins de firefox ?

NB : j'utilise Real Player 8 avec les codecs RP9 sous une Fedora Core 2.

--
Frédéric Béziès -

"Le patriotisme c'est l'amour des siens,
Le nationalisme c'est la haine des autres." (R.Gary)
Ribiere Jean
Le #10874211
On Sun, 20 Jun 2004 16:39:12 +0200, Frederic Bezies wrote:

Le 06/20/2004 04:15 PM, Ribiere Jean a écrit :

J'ai installé sous Linux les version mozilla-1.7 et firefox-0.9
en version anglaise de base.

Pas de problème particulier avec Mozilla.

Par contre dès le lancement de firefox, avant même de consulter
un site quelconque, la console javascript a des messages d'erreurs
comme :
uncaught exception: [Exception "Component returned failure
code 0x804b000a [nslPrefBranch.getComplexValue"
nsresult "0x804b000a (<unknown)" location "JS Frame ::
chrome://browser/content/search.xml::getDefaultEngine:: line 70"
data:no]



Pas de problème avec un firefox compilé maison de ce matin ;p

Aurais-tu installé une extension quelconque ?




Non, j'ai même installé sur un compte sans reprendre les
anciens paramètres


Cela n'empêche pas de consulter des sites courants.

Par contre j'ai voulu, pour valider les plugins, consulter
http://www.tv5.org, informations et voir la video.
Alors j'ai un message me disant qu'il faut installer un plugin
audio/x-pn-realaudio-plugin
Cependant si je fait about:plugins, ce plugin est bien installé
et activé (ce même plugin focntionne avec mozilla-1.7)



Aucun problème pour moi avec ce site.

Voici ce que donne mon "about:plugins" :

RealPlayer(tm) 8.0 Plug-In

File name: rpnp.so
RealPlayer(tm) 8.0 LiveConnect-Enabled Plug-In

MIME Type Description Suffixes Enabled
audio/x-pn-realaudio-plugin RealPlayer Plugin Metafile rpm Yes

Et j'ai dans le répertoire plugins de mon firefox :

$ ls -al

drwxrwxr-x 2 fred fred 4096 jun 20 16:37 .
drwxrwxr-x 12 fred fred 4096 jun 20 08:44 ..
-rw-r--r-- 1 fred fred 856 mai 20 23:34 flashplayer.xpt
-rwxr-xr-x 1 fred fred 2096844 mai 20 23:34 libflashplayer.so
lrwxrwxrwx 1 root root 67 jun 17 23:46 libjavaplugin_oji.so ->
/usr/java/j2re1.4.2_04/plugin/i386/ns610-gcc32/libjavaplugin_oji.so
-rwxrwxr-x 1 fred fred 17272 jun 20 08:34 libnullplugin.so
-rw-rw-r-- 1 fred fred 0 jun 20 16:37 plugin.log
-rwxr-xr-x 1 root root 138640 mai 23 17:31 rpnp.so



Quelqu'un a-t'il rencontré ce problème et trouvé un solution ?




As-tu le fichier rpnp.so de copié dans ton répertoire plugins de firefox ?

NB : j'utilise Real Player 8 avec les codecs RP9 sous une Fedora Core 2.



about-plugins me donne la même chose sauf que la ligne
RealPlayer (tm) 8.0...
n'apparaît pas

Dans le ls -l j'ai deux différences :
libnullplugin.so est de 19096 octets
rpnp.so est de 131580 octets

Sur ce dernier point je viens de réinstaller realplayer
à partir de rp8_linux_20_libc6_i386_cs2.bin
avec le même résultat et j'ai ajouté comme indiqué les deux
drivers de rp9 mais le résultat est inchangé
Frederic Bezies
Le #10874171
Le 06/21/2004 09:04 AM, Ribiere Jean a écrit :

[...]

Voici ce que donne mon "about:plugins" :

RealPlayer(tm) 8.0 Plug-In

File name: rpnp.so
RealPlayer(tm) 8.0 LiveConnect-Enabled Plug-In

MIME Type Description Suffixes Enabled
audio/x-pn-realaudio-plugin RealPlayer Plugin Metafile rpm Yes

Et j'ai dans le répertoire plugins de mon firefox :

$ ls -al

drwxrwxr-x 2 fred fred 4096 jun 20 16:37 .
drwxrwxr-x 12 fred fred 4096 jun 20 08:44 ..
-rw-r--r-- 1 fred fred 856 mai 20 23:34 flashplayer.xpt
-rwxr-xr-x 1 fred fred 2096844 mai 20 23:34 libflashplayer.so
lrwxrwxrwx 1 root root 67 jun 17 23:46 libjavaplugin_oji.so ->
/usr/java/j2re1.4.2_04/plugin/i386/ns610-gcc32/libjavaplugin_oji.so
-rwxrwxr-x 1 fred fred 17272 jun 20 08:34 libnullplugin.so
-rw-rw-r-- 1 fred fred 0 jun 20 16:37 plugin.log
-rwxr-xr-x 1 root root 138640 mai 23 17:31 rpnp.so

Quelqu'un a-t'il rencontré ce problème et trouvé un solution ?




As-tu le fichier rpnp.so de copié dans ton répertoire plugins de firefox ?

NB : j'utilise Real Player 8 avec les codecs RP9 sous une Fedora Core 2.



about-plugins me donne la même chose sauf que la ligne
RealPlayer (tm) 8.0...
n'apparaît pas

Dans le ls -l j'ai deux différences :
libnullplugin.so est de 19096 octets
rpnp.so est de 131580 octets

Sur ce dernier point je viens de réinstaller realplayer
à partir de rp8_linux_20_libc6_i386_cs2.bin
avec le même résultat et j'ai ajouté comme indiqué les deux
drivers de rp9 mais le résultat est inchangé



Ou as tu récupéré ton rpnp.so ?

J'ai récupéré le mien ici (j'ai utilisé le RPM car utilisation de
l'excellente Fedora 2) :

/usr/lib/RealPlayer8/

Je me suis contenté de le copier ; peut-être que la présence du Mozilla
1.6 fourni avec la Fedora y est pour quelque chose ? ;p

--
Frédéric Béziès -

"Le patriotisme c'est l'amour des siens,
Le nationalisme c'est la haine des autres." (R.Gary)
Ribiere Jean
Le #10874041
On Mon, 21 Jun 2004 15:01:44 +0200, Frederic Bezies wrote:

Le 06/21/2004 09:04 AM, Ribiere Jean a écrit :

[...]

Voici ce que donne mon "about:plugins" :

RealPlayer(tm) 8.0 Plug-In

File name: rpnp.so
RealPlayer(tm) 8.0 LiveConnect-Enabled Plug-In

MIME Type Description Suffixes Enabled
audio/x-pn-realaudio-plugin RealPlayer Plugin Metafile rpm Yes

Et j'ai dans le répertoire plugins de mon firefox :

$ ls -al



Quelqu'un a-t'il rencontré ce problème et trouvé un solution ?











about-plugins me donne la même chose sauf que la ligne
RealPlayer (tm) 8.0...


J'ai récupéré le mien ici (j'ai utilisé le RPM car utilisation de
l'excellente Fedora 2) :

/usr/lib/RealPlayer8/

Je me suis contenté de le copier ; peut-être que la présence du Mozilla
1.6 fourni avec la Fedora y est pour quelque chose ? ;p


J'ai récupéré à l'origine la distribution bin dans
http://scopes.real.com/real/player/unix/unix.html
où se trouve aussi pas ailleurs la distribution rpm

J'ai donc reinstallé à partir le la distribution .rpm.
Alors plusieurs choses étranges :
- les modules rpnp.so n'ont pas la même taille dans les
deux distributions
- avec celui de bin about:plugins donne le module rpnp.so
chargé tandis qu'il ne l'est pas avec la distribution rpm
- dans about:plugins de mozilla-1.7, la ligne
RealPlayer (tm) ...
n'apparaît qu'avec le module de la dsitribution rpm

Les modules fonctionnent avec mozilla-1.7 mais en aucun cas avec
firefox-0.9

En fait, il semble que le problème soit plus profond car sur le site
http://plugindoc.mozdev.org/linux.html
il est dit que certains plugins ne fonctionnent pas si mozilla
est compilé avec une version différente du plugin et
RealPlayer8 n'est pas supporté.
Il existe aussi un patch lié au bug no 213234, je l'ai appliqué
mais sans succès.
Comme je n'ai pas l'intention de recompiler firefox avec
un gcc-2.95.3 je vais laisser les choses en l'état et c'est déjà
surprenant, à lire la documentation, que mozilla fonctionne car
compilé avec gcc-3.2.3 ; firefox lui est compilé avec gcc-3.3.3
(cf about:buildconfig)

Peut-être avez-vous des informations plus à jour.
Merci pour votre aide
compilé
Frederic Bezies
Le #10874031
Le 06/22/2004 02:19 PM, Ribiere Jean a écrit :

[...]
Je me suis contenté de le copier ; peut-être que la présence du Mozilla
1.6 fourni avec la Fedora y est pour quelque chose ? ;p



J'ai récupéré à l'origine la distribution bin dans
http://scopes.real.com/real/player/unix/unix.html
où se trouve aussi pas ailleurs la distribution rpm

J'ai donc reinstallé à partir le la distribution .rpm.
Alors plusieurs choses étranges :
- les modules rpnp.so n'ont pas la même taille dans les
deux distributions
- avec celui de bin about:plugins donne le module rpnp.so
chargé tandis qu'il ne l'est pas avec la distribution rpm



Gnnn ? J'ai utilisé la version rpm avec ma Fedora 2.

- dans about:plugins de mozilla-1.7, la ligne
RealPlayer (tm) ...
n'apparaît qu'avec le module de la dsitribution rpm

Les modules fonctionnent avec mozilla-1.7 mais en aucun cas avec
firefox-0.9




Illogique :[

Les deux logiciels partagent le même moteur.

En fait, il semble que le problème soit plus profond car sur le site
http://plugindoc.mozdev.org/linux.html
il est dit que certains plugins ne fonctionnent pas si mozilla
est compilé avec une version différente du plugin et
RealPlayer8 n'est pas supporté.



Etonnant alors qu'il fonctionne parfaitement avec une compilation maison
de Firefox. Serait-ce lié au Gnome 2.6 de la Fedora 2 ?!

Il existe aussi un patch lié au bug no 213234, je l'ai appliqué
mais sans succès.
Comme je n'ai pas l'intention de recompiler firefox avec
un gcc-2.95.3 je vais laisser les choses en l'état et c'est déjà
surprenant, à lire la documentation, que mozilla fonctionne car
compilé avec gcc-3.2.3 ; firefox lui est compilé avec gcc-3.3.3
(cf about:buildconfig)

Peut-être avez-vous des informations plus à jour.
Merci pour votre aide
compilé



Le problème est que le plugin real player fonctionne très bien avec le
gcc de la fedora 2 (un gcc 3.3.3)

J'avoue sécher complètement :[

--
Frédéric Béziès -

"Le patriotisme c'est l'amour des siens,
Le nationalisme c'est la haine des autres." (R.Gary)
Publicité
Suivre les réponses
Poster une réponse
Anonyme